Subject: Bug#1159 closed by Mike Gabriel <[email-masked]> (Re: [X2Go-Dev] Bug#1159: PyHoca CLI: semaphore released too many times error)

From: [email-masked] (X2Go Bug Tracking System)
Date: Mon, 15 Jan 2024 21:05:07 +0000

This is an automatic notification regarding your Bug report
which was filed against the pyhoca-cli package:

#1159: PyHoca CLI: semaphore released too many times error

It has been closed by Mike Gabriel <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mike Gabriel <[email-masked]> by
replying to this email.

-- 
1159: https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1159
X2Go Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [X2Go-Dev] Bug#1159: PyHoca CLI: semaphore released too many times error
From: Mike Gabriel <[email-masked]>
To: Michael Ledin <[email-masked]>, [email-masked]
Date: Mon, 15 Jan 2024 21:04:30 +0000

Control: close -1

Hi Michael,

On  Do 16 Mär 2017 20:06:44 CET, Michael Ledin wrote:

> Package: pyhoca-cli
>
> Version: 0.5.0.2
>
>
> I'm using Archlinux and installed pyhoca-cli package from AUR.
>
> Previously I used x2goclient and created several profiles there.  
> Also I tried to use pyhoca-gui but it has the same error (bug #1158).
>
> I start x2go desktop session with:
>
>
> pyhoca-cli -P 20170316113957420 -d
>
>
> It starts successfully with log:
>
> pyhoca-cli[12140] NOTICE: preparing requested X2Go session
> pyhoca-cli[12140] (PyHocaCLI) NOTICE: preparing requested X2Go session
> pyhoca-cli[12140] (x2gosessregistry-pylib) NOTICE: registering X2Go  
> session AppHeads WAN...
> pyhoca-cli[12140] (x2goclient-pylib) NOTICE: initializing X2Go session...
> pyhoca-cli[12140] (x2gocontrolsession-pylib) NOTICE: connecting to  
> [my.server.here]:22
> pyhoca-cli[12140] (PyHocaCLI) NOTICE: give the X2Go session some  
> time to come up...
> pyhoca-cli[12140] (PyHocaCLI) INFO: X2Go session is now running, the  
> X2Go client's profile name is: AppHeads WAN
> pyhoca-cli[12140] (PyHocaCLI) INFO: X2Go session name is:  
> appheads-50-1489690847_stDXFCE_dp24
> pyhoca-cli[12140] (PyHocaCLI) NOTICE: Press CTRL+C to suspend the  
> running session...
>
>
> Then I press Ctrl+C and get an error:
>
> ^CKeyboardInterrupt
> Thu Mar 16 22:01:04 2017
> pyhoca-cli[12140] (PyHocaCLI) INFO: Suspending X2Go session  
> appheads-50-1489690847_stDXFCE_dp24
> Traceback (most recent call last):
>   File "/usr/bin/pyhoca-cli", line 423, in <module>
>     thisPyHocaCLI.MainLoop()
>   File "/usr/lib/python2.7/site-packages/pyhoca/cli/frontend.py",  
> line 601, in MainLoop
>     self._X2GoClient__suspend_session(self.x2go_session_hash)
>   File "/usr/lib/python2.7/site-packages/x2go/client.py", line 1620,  
> in suspend_session
>     return self.session_registry(session_uuid).suspend(**sessionopts)
>   File "/usr/lib/python2.7/site-packages/x2go/session.py", line  
> 2303, in suspend
>     self._lock.release()
>   File "src/gevent/_semaphore.py", line 266, in  
> gevent._semaphore.BoundedSemaphore.release  
> (src/gevent/gevent._semaphore.c:5353)
>   File "src/gevent/_semaphore.py", line 268, in  
> gevent._semaphore.BoundedSemaphore.release  
> (src/gevent/gevent._semaphore.c:5291)
> thread.error: Semaphore released too many times
>
>
> if then I'll try to resume the session (I get it name from  
> "pyhoca-cli -P 20170316113957420 -L"):
>
>
> pyhoca-cli -P 20170316113957420 -R appheads-50-1489690847_stDXFCE_dp24
>
>
> then sometimes I get the same error as above.

Unfortunately, I know too little about what version of gevent and so  
on is in ArchLinux. Sorry for not having responded to this any earlier.

On recent Debian I haven't noticed such an issue, but I know from the  
past that we had such an issue.

I will close this issue now in the process of migrating of X2Go BTS to  
X2Go GitLab's isssue tracker.

light+love
Mike

-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de

Subject: PyHoca CLI: semaphore released too many times error
From: Michael Ledin <[email-masked]>
To: [email-masked]
Date: Thu, 16 Mar 2017 22:06:44 +0300

Package: pyhoca-cli

Version: 0.5.0.2

I'm using Archlinux and installed pyhoca-cli package from AUR.

Previously I used x2goclient and created several profiles there. Also I 
tried to use pyhoca-gui but it has the same error (bug #1158).

I start x2go desktop session with:

pyhoca-cli -P 20170316113957420 -d

It starts successfully with log:

pyhoca-cli[12140] NOTICE: preparing requested X2Go session
pyhoca-cli[12140] (PyHocaCLI) NOTICE: preparing requested X2Go session
pyhoca-cli[12140] (x2gosessregistry-pylib) NOTICE: registering X2Go 
session AppHeads WAN...
pyhoca-cli[12140] (x2goclient-pylib) NOTICE: initializing X2Go session...
pyhoca-cli[12140] (x2gocontrolsession-pylib) NOTICE: connecting to 
[my.server.here]:22
pyhoca-cli[12140] (PyHocaCLI) NOTICE: give the X2Go session some time to 
come up...
pyhoca-cli[12140] (PyHocaCLI) INFO: X2Go session is now running, the 
X2Go client's profile name is: AppHeads WAN
pyhoca-cli[12140] (PyHocaCLI) INFO: X2Go session name is: 
appheads-50-1489690847_stDXFCE_dp24
pyhoca-cli[12140] (PyHocaCLI) NOTICE: Press CTRL+C to suspend the 
running session...

Then I press Ctrl+C and get an error:

^CKeyboardInterrupt
Thu Mar 16 22:01:04 2017
pyhoca-cli[12140] (PyHocaCLI) INFO: Suspending X2Go session 
appheads-50-1489690847_stDXFCE_dp24
Traceback (most recent call last):
   File "/usr/bin/pyhoca-cli", line 423, in <module>
     thisPyHocaCLI.MainLoop()
   File "/usr/lib/python2.7/site-packages/pyhoca/cli/frontend.py", line 
601, in MainLoop
     self._X2GoClient__suspend_session(self.x2go_session_hash)
   File "/usr/lib/python2.7/site-packages/x2go/client.py", line 1620, in 
suspend_session
     return self.session_registry(session_uuid).suspend(**sessionopts)
   File "/usr/lib/python2.7/site-packages/x2go/session.py", line 2303, 
in suspend
     self._lock.release()
   File "src/gevent/_semaphore.py", line 266, in 
gevent._semaphore.BoundedSemaphore.release 
(src/gevent/gevent._semaphore.c:5353)
   File "src/gevent/_semaphore.py", line 268, in 
gevent._semaphore.BoundedSemaphore.release 
(src/gevent/gevent._semaphore.c:5291)
thread.error: Semaphore released too many times

if then I'll try to resume the session (I get it name from "pyhoca-cli 
-P 20170316113957420 -L"):

pyhoca-cli -P 20170316113957420 -R appheads-50-1489690847_stDXFCE_dp24

then sometimes I get the same error as above.

--

Michael Ledin